{% extends 'base.html.twig' %}

{% form_theme form _self %}

{% block body %}
    <main class='main-content bgc-grey-100'>
        <div id='mainContent'>

            <h1>Creazione Docente</h1>

            <form data-ajax="false" action="{{ path('teacher_create', { 'providerId': providerId }) }}" method="post">

                {{ form_errors(form) }}

                {{ form_row(form.fiscalCode) }}
                {{ form_row(form.lastname) }}
                {{ form_row(form.firstname) }}
                {{ form_row(form.username) }}
                {{ form_row(form.email) }}

                {#
                {{ form_row(edit_form.provider) }}
                {{ form_row(edit_form.additionalProviders) }}
#}
                <p>
                    {{ form_widget(form.submit, {'attr':{'style' : 'display: none'}}) }}
                    {{ form_rest(form) }}
                </p>
            </form>

            <div class="row sendBtnArea">
                <div class="col-md-4">
                    <label for="{{ form.submit.vars.id }}" class="btn btn-success">{{ form.submit.vars.label }}</label>
                </div>
                <div class="col-sm-4 text-sm-center"></div>
                <div class="col-md-4 text-sm-right">
                    <a href="{{ path('teacher_list') }}" class="btn btn-info">
                        Ritorna alla lista
                    </a>
                </div>
            </div>
        </div>
    </main>

{% endblock %}
